BlitzReels
BlitzReelsDocumentation
API Reference
PATCH
/workspace/settings

Authorization

ApiKeyAuth
Authorization<token>

Use Bearer br_live_....

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/workspace/settings" \  -H "Content-Type: application/json" \  -d '{}'
{  "settings": {    "id": "string",    "name": "string",    "description": "string",    "safeWords": [      "string"    ],    "protected_words": [      "string"    ],    "icon_storage_key": "string",    "icon_url": "string",    "defaults": {      "aspectRatio": "string",      "aspect_ratio": "string",      "orientation": "string",      "resolution": "string",      "frameRate": "string",      "frame_rate": "string",      "autoManageBroll": true,      "auto_manage_broll": true,      "captionThemeId": "string",      "caption_theme_id": "string"    },    "updated_at": "string"  },  "success": true}